Page MenuHomePhabricator

1.34.0-wmf.21 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.21
Release Date
1567382400
Related Gerrit Patches:
operations/mediawiki-config : masterGroup0 to 1.34.0-wmf.20
operations/mediawiki-config : masterPromote testwiki to 1.34.0-wmf.21
operations/mediawiki-config : masterRevert "Group0 to 1.34.0-wmf.21"
operations/mediawiki-config : masterGroup0 to 1.34.0-wmf.21

2019 week 36 1.34-wmf.21 Changes wmf/1.34.0-wmf.21

This MediaWiki Train Deployment is scheduled for the week of Monday, September 2nd:

Monday September 2ndTuesday, September 3rdWednesday, September 4thThursday, September 5thFriday
SWAT deployments only.Branch wmf.21 and deploy to Group 0 Wikis.Deploy wmf.21 to Group 1 Wikis.Deploy wmf.21 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.21 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.20
Next: 1.34.0-wmf.22

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Medium priority.Apr 11 2019, 7:10 PM
hashar claimed this task.Sep 2 2019, 9:12 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-03T12:29:27Z] <hashar> Cutting wmf/1.34.0-wmf.21 # T220746

Change 534154 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.21

https://gerrit.wikimedia.org/r/534154

Mentioned in SAL (#wikimedia-operations) [2019-09-03T13:38:22Z] <hashar@deploy1001> Started scap: testwiki to 1.34.0-wmf.21 and rebuild l10n cache - T220746

Mentioned in SAL (#wikimedia-operations) [2019-09-03T14:28:31Z] <hashar@deploy1001> Finished scap: testwiki to 1.34.0-wmf.21 and rebuild l10n cache - T220746 (duration: 50m 09s)

Change 534154 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.21

https://gerrit.wikimedia.org/r/534154

Mentioned in SAL (#wikimedia-operations) [2019-09-03T14:45:43Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: group0 to 1.34.0-wmf.21 - T220746

Change 534171 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Revert "Group0 to 1.34.0-wmf.21"

https://gerrit.wikimedia.org/r/534171

Mentioned in SAL (#wikimedia-operations) [2019-09-03T14:57:19Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: Rollback group0 to 1.34.0-wmf.21 - T220746

Change 534171 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Group0 to 1.34.0-wmf.21"

https://gerrit.wikimedia.org/r/534171

Eventually that hasn't reached out group0 due to mediawiki.org / graphoid having some breaking interaction T231894

Change 534173 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Promote testwiki to 1.34.0-wmf.21

https://gerrit.wikimedia.org/r/534173

Change 534173 merged by jenkins-bot:
[operations/mediawiki-config@master] Promote testwiki to 1.34.0-wmf.21

https://gerrit.wikimedia.org/r/534173

Mentioned in SAL (#wikimedia-operations) [2019-09-03T15:07:14Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: testwiki 1.34.0-wmf.21 for T231894 - T220746

Change 534203 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.20

https://gerrit.wikimedia.org/r/534203

Change 534203 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.20

https://gerrit.wikimedia.org/r/534203

Change 534203 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.20
https://gerrit.wikimedia.org/r/534203

Shouldn't it be

Group0 to 1.34.0-wmf.21

hashar added a comment.Sep 4 2019, 6:28 AM

Change 534203 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.34.0-wmf.20
https://gerrit.wikimedia.org/r/534203

Shouldn't it be

Group0 to 1.34.0-wmf.21

Indeed I made a mistake when writing the commit message :-] But group0 indeed went to 1.34.0-wmf.21.

Mentioned in SAL (#wikimedia-operations) [2019-09-04T19:35:50Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: rollback wikidatawiki to 1.34.0-wmf.20 for T232035 - T220746

Mentioned in SAL (#wikimedia-operations) [2019-09-05T08:21:35Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: Promote wikidatawiki to 1.34.0-wmf.21 for T232035 - T220746

Mentioned in SAL (#wikimedia-operations) [2019-09-05T09:05:54Z] <hashar@deploy1001> rebuilt and synchronized wikiversions files: Promote wikidatawiki to 1.34.0-wmf.21 for T232035 - T220746

hashar added a comment.Sep 6 2019, 7:29 AM

1.34.0-wmf.21 is now on all wikis.

Change 537538 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.34.0-wmf.23 refs T220746

https://gerrit.wikimedia.org/r/537538

Change 537538 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.34.0-wmf.23 refs T220746

https://gerrit.wikimedia.org/r/537538

mmodell closed this task as Resolved.Sep 17 2019, 8:40 PM

^ log messages picked up the wrong task id because this one was still left open.